Bug 1079756 - [glibc2.27] xfsprogs fails to build
[glibc2.27] xfsprogs fails to build
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Basesystem
Current
Other Other
: P5 - None : Normal (vote)
: ---
Assigned To: Jeff Mahoney
E-mail List
:
Depends on:
Blocks: 1079753
  Show dependency treegraph
 
Reported: 2018-02-07 08:28 UTC by Dominique Leuenberger
Modified: 2021-09-08 18:35 UTC (History)
0 users

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dominique Leuenberger 2018-02-07 08:28:59 UTC
openSUSE Factory is in progress of merging GLIBC 2.27 - xfsprogs is amongst the packages failing to build

from the build log

[  105s] copy_file_range.c:46:1: error: conflicting types for 'copy_file_range'
[  105s]  copy_file_range(int fd, loff_t *src, loff_t *dst, size_t len)
[  105s]  ^~~~~~~~~~~~~~~
[  105s] In file included from ../include/platform_defs.h:33:0,
[  105s]                  from ../include/project.h:21,
[  105s]                  from ../include/input.h:24,
[  105s]                  from copy_file_range.c:23:
[  105s] /usr/include/unistd.h:1110:9: note: previous declaration of 'copy_file_range' was here
[  105s]  ssize_t copy_file_range (int __infd, __off64_t *__pinoff,
[  105s]          ^~~~~~~~~~~~~~~

Full build log at https://build.opensuse.org/package/live_build_log/openSUSE:Factory:Staging:C/xfsprogs/standard/x86_64
Comment 1 Jeff Mahoney 2018-02-07 14:26:19 UTC
This is fixed by https://www.spinics.net/lists/linux-xfs/msg15553.html

I've added to filesystems/xfsprogs and will push it to Factory later today.
Comment 2 Jeff Mahoney 2018-02-07 14:42:07 UTC
It built quickly, so I've pushed it as SR 573733.
Comment 3 Swamp Workflow Management 2018-02-07 15:10:06 UTC
This is an autogenerated message for OBS integration:
This bug (1079756) was mentioned in
https://build.opensuse.org/request/show/573733 Factory / xfsprogs
Comment 4 Dominique Leuenberger 2018-02-14 11:05:29 UTC
(In reply to Swamp Workflow Management from comment #3)
> This is an autogenerated message for OBS integration:
> This bug (1079756) was mentioned in
> https://build.opensuse.org/request/show/573733 Factory / xfsprogs

Checked in and build confirmed successful against glibc 2.27:

https://build.opensuse.org/package/live_build_log/openSUSE:Factory:Staging:C/xfsprogs/standard/x86_64